local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
    disableMovement()
	walkTo(14310)
	player.Facing = getEnum("Celeste.Facings", "Right")
	if getFlag("CC_omori_picnic_c_hubA_talked") then
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CC_omori_picnic_c_hubA_B"))
	else
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CC_omori_picnic_c_hubA"))
	end
end

function onEnd()
    enableMovement()
	setFlag("CC_omori_picnic_c_hubA_talked",true)
end